Subject: Re: bug#20741: 24.4; flyspell doesn't work with abbreviations ending in a period

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Feb 2022 18:42:18 +0200

> From: Reuben Thomas <[email-masked]>
> Date: Mon, 14 Feb 2022 15:27:54 +0000
> Cc: [email-masked], [email-masked]
> 
>  It's the same case: references to variables and other symbols in
>  comments and strings of a program are very frequent.  They are also
>  very frequent in email messages which discuss programming, such as
>  this discussion (I have Flyspell turned on in all my email buffers).
> 
> I think we can distinguish 3 different problems here:
> 
> 1. Natural language spellchecking. That's what this issue is about.
> 2. Spell-checking code. (Essentially, identifiers.)
> 3. Finding code inside natural language, and checking it as if it were code. (That's what you're talking about
> here.) This is not a spellchecking problem, it's a problem of identifying which spell-checking apparatus to
> use, rather like font-lock for multi-language buffers. It's hard to see how to do it without some syntactic clue
> (e.g. the use of backticks in markdown), as used in multi-language buffers for font-locking.

Like I said: when we talk about this stuff in email, it's both case 1
and case 3.

Anyway: what are the practical proposals for improving this?  Are we
going to handle only periods, or does anyone have a more general
solution?